#version 150

// vertexPosition was bound to attribute index 0 and vertexColor was bound to attribute index 1
in vec3 vertexPosition;
in vec3 vertexNormal;
in vec4 vertexColor;
in vec2 vertexTextureUV;

out vec3 fragmentPosition;

uniform mat4 mvpMatrix;
uniform mat4 modelMatrix;

void main(void)
{
	//.xyww will force w/w to put the sky verts at max depth.
	//gl_Position = (vec4(vertexPosition, 1.0) * mvpMatrix).xyww;
	//fragmentPosition = vec3(vec4(normalize(vertexPosition), 0.0)).xyz;

	gl_Position = vec4(vertexPosition, 1.0);
	fragmentPosition = vec3(vec4(vertexPosition.x, vertexPosition.y, 1.0, 1.0) * inverse(mvpMatrix));
}
